package com.fzm.mall.server.admin.goods_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/3/12 14:04
 * @description 退货类型
 * @since JDK 1.8
 */
public enum ReturnGoodsTypeEnum {

    NO_SUPPORT(0),//不支持
    NO_REASON(1),//无理由
    SEL_DEF(2);//自定义

    private Integer type;

    ReturnGoodsTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(ReturnGoodsTypeEnum.values())
                .map(ReturnGoodsTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
